﻿#version 400

out vec4            FragColor;              // 
in vec2             TexCoords;              // 
uniform sampler2D   ls_texture;             //
                                              
uniform int         ls_radius;              // 
uniform float       ls_intensity;           // 
uniform vec2        ls_lightTexture;        //
uniform vec2        ls_objectCenter;        // 

//uniform vec3 testColor;

void main()
{
    vec2 position = vec2(gl_FragCoord.x / ls_lightTexture.x, gl_FragCoord.y / ls_lightTexture.y);

    float localDistance = distance(ls_objectCenter, gl_FragCoord.xy);
    float alphaFade = (ls_intensity * (ls_radius - localDistance) / ls_radius);

    vec4 texColor = texture(ls_texture, position.xy);

    float alpha = max(alphaFade, texColor.a);

    //FragColor = vec4(testColor.rgb, alpha);
    FragColor = vec4(1, 1, 1, alpha);
}

//                        ██████
//            ████████████░░░░░░██
//          ██░░░░░░░░░░░░██░░░░░░██████
//        ██░░░░░░░░░░░░░░██░░░░░░██░░░░██
//      ██░░░░░░░░░░░░░░░░░░██░░░░██░░░░░░██
//      ██░░░░░░░░░░░░░░░░░░░░██░░██░░░░░░██
//      ██░░░░░░░░░░░░░░░░░░░░██░░████████  
//    ██░░████░░░░░░░░░░░░░░░░██░░██
//    ██░░░░░░████░░░░░░░░░░░░████
//  ██░░░░░░░░░░░░████░░░░░░░░██
//  ██░░░░░░░░░░░░░░░░██░░░░██
//    ██░░░░░░░░░░░░░░██████
//  ██░░████████░░░░░░██
//  ██░░░░░░░░░░██████
//    ██░░░░░░░░░░██
//  ██░░██████████
//  ██░░░░░░░░██
//    ██░░░░██
//      ████
//