#version 400
											  
out vec4            FragColor;              // 
in vec2             TexCoords;              //
											  
uniform sampler2D   ls_texture_light;       //
uniform sampler2D   ls_texture_shadow;		//
											  
uniform vec2        ls_lightTextureSize;	//
uniform vec2        ls_shadowTextureSize;	//

uniform vec4		ls_shadowColor;			//
											  
void main()									  
{											  
	vec2 position = vec2(gl_FragCoord.x / ls_shadowTextureSize.x, gl_FragCoord.y / ls_shadowTextureSize.y);

	vec4 texColor = texture(ls_texture_shadow, position.xy);
	vec4 lightTexColor = texture(ls_texture_light, position.xy);

	float a = texColor.a - lightTexColor.a;

	FragColor = vec4 (ls_shadowColor.rgb, a);
}